package com.trs.web2frame.myutils;

import java.io.BufferedReader;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import java.sql.Connection;
import java.sql.Statement;

import com.trs.web2frame.tool.tyjyh.ConnectionUtil2;
import com.trs.web2frame.util.Log_Exception;


public class updateZZQuote {
	 public void StartMethord() {
		 
	 }
	 

	 public static void  downLoadFromUrl(String urlStr,String fileName,String savePath) throws IOException{
			URL url = new URL(urlStr);  
			HttpURLConnection conn = (HttpURLConnection)url.openConnection();  
	                //设置超时间为3秒
			conn.setConnectTimeout(300*1000);
			//防止屏蔽程序抓取而返回403错误
			conn.setRequestProperty("User-Agent", "Mozilla/4.0 (compatible; MSIE 5.0; Windows NT; DigExt)");
	 
			//得到输入流
			InputStream inputStream = conn.getInputStream();  
			//获取自己数组
			byte[] getData = readInputStream(inputStream);    
	 
			//文件保存位置
			File saveDir = new File(savePath);
			if(!saveDir.exists()){
				saveDir.mkdirs();
			}
			File file = new File(saveDir+File.separator+fileName);    
			FileOutputStream fos = new FileOutputStream(file);     
			fos.write(getData); 
			if(fos!=null){
				fos.close();  
			}
			if(inputStream!=null){
				inputStream.close();
			}
	 
	 
			System.out.println("info:"+url+" download success"); 
	 
		}
	 
		/**
		 * 从输入流中获取字节数组
		 * @param inputStream
		 * @return
		 * @throws IOException
		 */
		public static  byte[] readInputStream(InputStream inputStream) throws IOException {  
			byte[] buffer = new byte[1024];  
			int len = 0;  
			ByteArrayOutputStream bos = new ByteArrayOutputStream();  
			while((len = inputStream.read(buffer)) != -1) {  
				bos.write(buffer, 0, len);  
			}  
			bos.close();  
			return bos.toByteArray();  
		} 
		public static void main(String[] args) {
			getTxtData();

		}
		
		public static String getTxtData() {
			//文件路径
			String filePath="C:\\Users\\admin\\Desktop\\update.txt";
	        File fileTxt=new File(filePath);
	        BufferedReader reader = null;//字符输入流进行读取操作读取
	        String tempString = null;//每一行的内容
	        int line =1;//行号
	        try {
	        	//输入字节流，FileInputStream主要用来操作文件输入流
	        	FileInputStream intput = new FileInputStream(fileTxt);
	            // System.out.println("以行为单位读取文件内容，一次读一整行：")
	        	//InputStreamReader是转换流，将字节流转成字符流
	            reader = new BufferedReader(new InputStreamReader(intput));
	            while ((tempString = reader.readLine()) != null) {
	    			try{
	    				System.out.println("第"+ line + "行:" +tempString);
	    				Connection connection = null;
	    				Statement statement = null;
	    				int result = 0;
	    				String[] split = tempString.split(",");
	    				String sql = "update wcmchnldoc set modal=2 where siteid= and modal=3 and docid="+split[0]+" and olddocorder="+split[1];
	    				try {
	    					connection = ConnectionUtil2.getConnection();
	    					statement = connection.createStatement();
	    					result = statement.executeUpdate(sql);
	    					System.out.println(result);
	    				} catch(Exception e) {
	    					e.printStackTrace();
	    					Log_Exception.Error_txt("updateChnldoc()方法异常！"+e.getMessage());
	    				} finally {
	    					ConnectionUtil2.closeConnection(statement,connection);
	    				}
	    			}catch (Exception e) {
	    			}
	                System.out.println(tempString);
	                line ++ ;
	            }
	            
	        } catch (FileNotFoundException e) {
	            e.printStackTrace();
	        } catch (IOException e) {
	            e.printStackTrace();
	        }finally{
	            if(reader != null){
	                try {
	                    reader.close();
	                } catch (IOException e) {
	                    e.printStackTrace();
	                }
	            }
	        }
			return tempString;
		}
}
